Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JComponent.AccessibleJComponent.AccessibleFocusHandler

    java.lang.Object
      javax.swing.JComponent.AccessibleJComponent.AccessibleFocusHandler

All Implemented Interfaces:
  FocusListener, EventListener

Enclosing class:
  JComponent.AccessibleJComponent

    protected class JComponent.AccessibleJComponent.AccessibleFocusHandler

extends Object
implements FocusListener

Fire PropertyChange listener, if one is registered, when focus events happen

Constructor Summary
`protected` | `JComponent.AccessibleJComponent.AccessibleFocusHandler()`

Method Summary
`void` | `focusGained(FocusEvent event)` Invoked when a component gains the keyboard focus.
`void` | `focusLost(FocusEvent event)` Invoked when a component loses the keyboard focus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JComponent.AccessibleJComponent.AccessibleFocusHandler

    protected JComponent.AccessibleJComponent.AccessibleFocusHandler()

Method Detail

### focusGained

    public void focusGained(FocusEvent event)

  Description copied from interface: `FocusListener`
  Invoked when a component gains the keyboard focus.

  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent event)

  Description copied from interface: `FocusListener`
  Invoked when a component loses the keyboard focus.

  Specified by:
    `focusLost` in interface `FocusListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.